---------------------
PatchSet 2552 
Date: 2001/06/16 20:58:29
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Updated autoconf & configure files

Members: 
	acconfig.h:1.1.1.3->1.1.1.3.12.1 
	configure:1.1.1.3.4.3.2.1->1.1.1.3.4.3.2.2(DEAD) 
	configure.in:1.1.1.3.4.5.2.1->1.1.1.3.4.5.2.2 
	cfgaux/config.guess:1.1.1.3->1.1.1.3.56.1 
	include/autoconf.h.in:1.1.1.3.4.2.2.2->1.1.1.3.4.2.2.3 
	src/Makefile.in:1.1.1.3.14.1->1.1.1.3.14.2 

Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/acconfig.h	26 Jan 2000 03:25:00 -0000	1.1.1.3
+++ squid/acconfig.h	16 Jun 2001 21:00:11 -0000	1.1.1.3.12.1
@@ -20,7 +20,7 @@
  *
  */
 @ TOP @
-/* $Id: acconfig.h,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $ */
+/* $Id: acconfig.h,v 1.1.1.3.12.1 2001/06/16 21:00:11 serassio Exp $ */
 
 /*********************************
  * START OF CONFIGURABLE OPTIONS *
@@ -122,6 +122,11 @@
  */
 #undef USE_CARP
 
+/*
+ * Define Windows NT & Windows 2000 run service mode
+ */
+#undef USE_WIN32_SERVICE
+
 /********************************
  *  END OF CONFIGURABLE OPTIONS *
  ********************************/
@@ -184,6 +189,9 @@
 /* Define if you have struct rusage */
 #undef HAVE_STRUCT_RUSAGE
 
+/* Define if you have PSAPI.DLL on Windows systems */
+#undef HAVE_WIN32_PSAPI
+
 /*
  * This makes warnings go away.  If you have socklen_t defined in your
  * /usr/include files, then this should remain undef'd.  Otherwise it
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.4.5.2.1
retrieving revision 1.1.1.3.4.5.2.2
diff -u -r1.1.1.3.4.5.2.1 -r1.1.1.3.4.5.2.2
--- squid/configure.in	6 Jan 2001 12:40:08 -0000	1.1.1.3.4.5.2.1
+++ squid/configure.in	16 Jun 2001 20:58:29 -0000	1.1.1.3.4.5.2.2
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.4.5.2.1 2001/01/06 12:40:08 hno Exp $
+dnl  $Id: configure.in,v 1.1.1.3.4.5.2.2 2001/06/16 20:58:29 serassio Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.4.5.2.1 $)dnl
+AC_REVISION($Revision: 1.1.1.3.4.5.2.2 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -20,7 +20,8 @@
 LIBREGEX=''	# libregex.a
 
 dnl use directory structure of cached as default (hack)
-if test "$libexecdir" = '${exec_prefix}/libexec'; then
+if test "$libexecdir" = '${exec_prefix}/libexec' &&
+   test "$localstatedir" = '${prefix}/var'; then
 	libexecdir='${bindir}'
 	localstatedir='${prefix}'
 
@@ -28,13 +29,25 @@
 
 dnl use .exe suffix for executables on cygwin32 platform
 case "$host_os" in
-cygwin32|os2)
+cygwin|cygwin32|os2|winnt)
+	AC_PATH_PROG(WIN32_PSAPI, psapi.dll, none)
+	if test "$ac_cv_path_WIN32_PSAPI" = "none"; then
+		echo "PSAPI.DLL is reccommended to run Squid on Windows NT Platform"
+		echo "Please see PSAPI.DLL section on doc/win32-relnotes.txt."
+		WIN32_LIBS=""
+	else
+		AC_DEFINE(HAVE_WIN32_PSAPI)
+		WIN32_LIBS="-lpsapi"
+	fi
 	exec_suffix=".exe"
 	cgi_suffix=".exe"
+	WIN32_OBJS="win32.o"
 	;;
 *)
 	exec_suffix=""
 	cgi_suffix=".cgi"
+	WIN32_OBJS=""
+	WIN32_LIBS=""
 	;;
 esac
 AC_SUBST(exec_suffix)
@@ -63,6 +76,9 @@
 dnl Check for GNU cc
 AC_PROG_CC
 
+dnl Can the CC program be asked to use the Win32 API?
+dnl AC_API_WIN32
+
 dnl Gerben Wierda <Gerben_Wierda@RnA.nl>
 case "$host" in
     mab-next-nextstep3)
@@ -88,9 +104,9 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.4*)
+	*mips-sgi-irix6.*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    CFLAGS="$CFLAGS -n32 -mips4 -O3 -OPT:Olimit=0:space=OFF \
+	    CFLAGS="$CFLAGS -n32 -mips3 -O3 -OPT:Olimit=0:space=OFF \
 		-woff 1009,1014,1048,1110,1116,1185,1188,1204,1230,1233 \
 		-Wl,-woff,85,-woff,84,-woff,134 \
 		-nostdinc -I/usr/include -D_BSD_SIGNALS"
@@ -116,23 +132,14 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.4*)
+	*mips-sgi-irix6.*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    LDFLAGS="-n32 -mips4 -nostdlib -L/usr/lib32"
+	    LDFLAGS="-n32 -mips3 -nostdlib -L/usr/lib32"
 	    ;;
 	esac
     fi
 fi
 
-if test "x$ac_cv_enabled_dlmalloc" = "x"; then
-    case "$host" in
-	i386-*-solaris2.*)
-		echo "Enabling dlmalloc for $host"
-		ac_cv_enabled_dlmalloc="yes"
-		;;
-    esac
-fi
-
 dnl Enable optional modules
 AC_ARG_ENABLE(dlmalloc,
 [  --enable-dlmalloc[=LIB] Compile & use the malloc package by Doug Lea],
@@ -158,6 +165,8 @@
 	i386-*-solaris2.*)
 		echo "Enabling dlmalloc for $host"
 		use_dlmalloc="yes"
+		LIBDLMALLOC="libdlmalloc.a"
+		LIB_MALLOC="-L../lib -ldlmalloc"
 		;;
     esac
 fi
@@ -246,8 +255,26 @@
 ])
 
 AC_ARG_ENABLE(async_io,
-[  --enable-async-io       Do ASYNC disk I/O using threads],
-[ if test "$enableval" = "yes" ; then
+[  --enable-async-io[=N_THREADS]
+                          Do ASYNC disk I/O using threads.
+                          N_THREADS is the number of worker threads
+                          defaults to 16. See also src/squid.h for
+                          some additional platform tuning],
+[ case "$enableval" in
+  yes)
+    async_io=yes
+    ;;
+  no)
+    async_io=''
+    ;;
+  *)
+    async_io=yes
+    AC_DEFINE_UNQUOTED(NUMTHREADS, $enableval)
+    ;;
+  esac
+])
+
+if test -n "$async_io" ; then
     echo "Async I/O enabled"
     async_io=yes
     AC_DEFINE(USE_ASYNC_IO)
@@ -263,8 +290,7 @@
 	fi
 	;;
     esac
-  fi
-])
+fi
 AC_SUBST(ASYNC_OBJS)
 AC_SUBST(SQUID_PTHREAD_LIB)
 
@@ -496,7 +522,7 @@
 ])
 
 AC_ARG_ENABLE(internal-dns,
-[  --disable-internal-dns This prevents Squid from directly sending and
+[  --disable-internal-dns  This prevents Squid from directly sending and
                           receiving DNS messages, and instead enables the
                           old external 'dnsserver' processes.],
 [ if test "$enableval" = "no" ; then
@@ -508,7 +534,7 @@
 ])
 
 AC_ARG_ENABLE(truncate,
-[  --enable-truncate      This uses truncate() instead of unlink() when
+[  --enable-truncate       This uses truncate() instead of unlink() when
                           removing cache files.  Truncate gives a little
                           performance improvement, but may cause problems
                           when used with async I/O.  Truncate uses more
@@ -519,6 +545,43 @@
   fi
 ])
 
+dnl Enable underscore in hostnames
+AC_ARG_ENABLE(underscores,
+[  --enable-underscores    Squid by default rejects any host names with _
+                          in their name to conform with internet standars.
+                          If you disagree with this you may allow _ in
+                          hostnames by using this switch, provided that
+                          the resolver library on the host where Squid runs
+                          does not reject _ in hostnames...],
+[ if test "$enableval" = "yes" ; then
+    echo "Enabling the use of underscores in host names"
+    AC_DEFINE(ALLOW_HOSTNAME_UNDERSCORES, 1)
+  fi
+])
+
+dnl Enable WIN32 Service compile mode
+AC_ARG_ENABLE(win32-service,
+[  --enable-win32-service  Compile Squid as a WIN32 Service
+                          Works only on Windows NT and Windows 2000 Platforms.],
+[ if test "$enableval" = "yes" ; then
+    echo "Enabling WIN32 run service mode"
+    AC_DEFINE(USE_WIN32_SERVICE)
+  fi
+])
+
+dnl Enable HEAP_REPLACEMENT
+AC_ARG_ENABLE(heap-replacement,
+[  --enable-heap-replacement
+                          This option allows you to use various cache
+                          replacement algorithms, instead of the standard
+                          LRU algorithm.
+                          ],
+[ if test "$enableval" = "yes" ; then
+    echo "Enabling HEAP_REPLACEMENT"
+    AC_DEFINE(HEAP_REPLACEMENT, 1)
+  fi
+])
+
 # Force some compilers to use ANSI features
 #
 case "$host" in
@@ -588,6 +651,7 @@
 	gnumalloc.h \
 	grp.h \
 	ip_compat.h \
+	ip_fil_compat.h \
 	ip_fil.h \
 	ip_nat.h \
 	libc.h \
@@ -598,9 +662,11 @@
 	mount.h \
 	net/if.h \
 	netdb.h \
+	netinet/if_ether.h \
 	netinet/in.h \
 	netinet/tcp.h \
 	netinet/ip_compat.h \
+	netinet/ip_fil_compat.h \
 	netinet/ip_fil.h \
 	netinet/ip_nat.h \
 	poll.h \
@@ -843,6 +909,7 @@
         	LIBS=`echo $LIBS | sed -e s/-lsocket//`
         	echo "Removing -lnsl for IRIX..."
         	LIBS=`echo $LIBS | sed -e s/-lnsl//`
+		ac_cv_lib_nsl_main=no
 		echo "Removing -lbsd for IRIX..."
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
@@ -872,6 +939,18 @@
 		;;
 esac
 
+# Remove optimization for GCC 2.95.[12]
+# gcc -O[2] on *BSD and Linux (x86) causes pointers to magically become NULL
+if test "$GCC" = "yes"; then
+	GCCVER=`$CC -v 2>&1 | awk '$2 ==  "version" {print $3}'`
+	case "$GCCVER" in
+	[2.95.[12]])
+		echo "Removing -O for gcc on $host with GCC $GCCVER"
+		CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
+		;;
+	esac
+fi
+
 # Recommended by Balint Nagy Endre <bne@CareNet.hu>
 case "$host" in
 	*-univel-sysv4.2MP)
@@ -937,9 +1016,11 @@
 	memcpy \
 	memmove \
 	memset \
+	mkstemp \
 	mktime \
 	mstats \
 	poll \
+	pthread_sigmask \
 	putenv \
 	random \
 	regcomp \
@@ -948,6 +1029,7 @@
 	res_init \
 	rint \
 	seteuid \
+	setgroups \
 	setpgrp \
 	setrlimit \
 	getrlimit \
@@ -994,12 +1076,19 @@
 dnl installed by default, so we need to check for them
 if test "$IPF_TRANSPARENT" ; then
     AC_MSG_CHECKING(if IP-Filter header files are installed)
-    if test "$ac_cv_header_ip_compat_h" = "yes" &&
+    # hold on to your hats...
+    if test "$ac_cv_header_ip_compat_h" = "yes" ||
+        test "$ac_cv_header_ip_fil_compat_h" = "yes" ||
+        test "$ac_cv_header_netinet_ip_compat_h" = "yes" ||
+        test "$ac_cv_header_netinet_ip_fil_compat_h" = "yes" ; then
+        have_ipfilter_compat_header="yes"
+     fi
+     if test "x$have_ipfilter_compat_header" = "xyes" &&
        test "$ac_cv_header_ip_fil_h" = "yes" &&
        test "$ac_cv_header_ip_nat_h" = "yes" ; then
         IPF_TRANSPARENT="yes"
         AC_DEFINE(IPF_TRANSPARENT, 1)
-    elif test "$ac_cv_header_netinet_ip_compat_h" = "yes" &&
+    elif test "$have_ipfilter_compat_header" = "yes" &&
          test "$ac_cv_header_netinet_ip_fil_h" = "yes" &&
          test "$ac_cv_header_netinet_ip_nat_h" = "yes" ; then
         IPF_TRANSPARENT="yes"
@@ -1101,9 +1190,11 @@
 main() {
 	FILE *fp;
 	int i,j;
-#if __CYGWIN32__
-    /* getrlimit and sysconf returns bogous values on cygwin32.
+#if defined(__CYGWIN32__) || defined (__CYGWIN__)
+    /*
+     * getrlimit and sysconf returns bogous values on cygwin32.
      * Number of fds is virtually unlimited in cygwin (sys/param.h)
+     * NOTE: __CYGWIN32__ is deprecated.
      */
     i = NOFILE;
 #elif HAVE_SETRLIMIT
@@ -1265,7 +1356,7 @@
 AC_DEFINE_UNQUOTED(SQUID_TCP_SO_RCVBUF, $SQUID_TCP_SO_RCVBUF)
 
 AC_CACHE_CHECK(if sys_errlist is already defined, ac_cv_needs_sys_errlist,
-  AC_TRY_COMPILE([#include <stdio.h>],[char *s = sys_errlist[0];],
+  AC_TRY_COMPILE([#include <stdio.h>],[char *s = sys_errlist;],
     ac_cv_needs_sys_errlist="no",
     ac_cv_needs_sys_errlist="yes")
 )
@@ -1431,4 +1522,5 @@
 	./auth_modules/PAM/Makefile \
 	./auth_modules/SMB/Makefile
 	./auth_modules/getpwnam/Makefile \
+	./auth_modules/LDAP/Makefile \
 )
Index: squid/include/autoconf.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/autoconf.h.in,v
retrieving revision 1.1.1.3.4.2.2.2
retrieving revision 1.1.1.3.4.2.2.3
diff -u -r1.1.1.3.4.2.2.2 -r1.1.1.3.4.2.2.3
--- squid/include/autoconf.h.in	14 Jun 2001 20:36:15 -0000	1.1.1.3.4.2.2.2
+++ squid/include/autoconf.h.in	16 Jun 2001 20:58:30 -0000	1.1.1.3.4.2.2.3
@@ -147,7 +147,7 @@
 /*
  * Define Windows NT & Windows 2000 run service mode
  */
-#define USE_WIN32_SERVICE 1
+#undef USE_WIN32_SERVICE
 
 /* Define if struct tm has tm_gmtoff member */
 #undef HAVE_TM_GMTOFF
@@ -208,7 +208,7 @@
 #undef HAVE_STRUCT_RUSAGE
 
 /* Define if you have PSAPI.DLL on Windows systems */
-#define HAVE_WIN32_PSAPI 1
+#undef HAVE_WIN32_PSAPI
 
 /*
  * This makes warnings go away.  If you have socklen_t defined in your
